Page MenuHomePhabricator

Jenkins: Run PHPUnit tests on MySQL, PostgreSQL and SQLite
Closed, ResolvedPublic

Description

Currently we're just running the automated parser tests on commit on the MySQL backend; because the PostgreSQL and SQLite backends are less well tested by developers, they're ideal candidates for additional automated testing.

Running parser tests under those infrastructures will provide at least some minimal confirmation that basic operations work (update, create articles, read templates) until other full-functionality tests are available.

Of course this is assuming the parser test suite actually runs under them yet... ;)


Version: unspecified
Severity: enhancement

Details

Reference
bz20343
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:56 PM
bzimport set Reference to bz20343.
bzimport added a subscriber: Unknown Object (MLST).
brion created this task.Aug 21 2009, 8:48 PM

Parser tests now work with SQLite, so problem is just CodeReview and test server setup.

demon added a comment.Aug 23 2012, 6:47 PM

Moving to Testing Infrastructure -- this needs setting up in Jenkins, not Gerrit.

scfc added a comment.Oct 5 2012, 11:55 PM

Isn't this bug now obsolete? As far as I understand it, the current setup (already) uses SQLite as backend. Adding/reenabling tests for MySQL would be bug 35912, PostgreSQL bug 37602.

hashar added a comment.Oct 6 2012, 6:04 AM

I have thus updated this bug dependencies.

hashar lowered the priority of this task from Low to Lowest.Nov 24 2014, 11:53 AM
hashar set Security to None.
demon removed a subscriber: demon.Dec 16 2014, 6:05 PM

Change 316228 had a related patch set uploaded (by Paladox):
Install postgresql on ci in php.pp

https://gerrit.wikimedia.org/r/316228

SQLite can be used any time since it is already installed, just need to update ci config so we can setup some tests, whereas PostgreSQL is not installed so we need to install that and set it up.

Change 316230 had a related patch set uploaded (by Paladox):
Add mw-teardown-postgresql for postgres

https://gerrit.wikimedia.org/r/316230

Change 316232 had a related patch set uploaded (by Paladox):
Update mw-install-postgresql to include the install script

https://gerrit.wikimedia.org/r/316232

Change 316475 had a related patch set uploaded (by Paladox):
Install postgresql on ci-image-jessie

https://gerrit.wikimedia.org/r/316475

Change 316228 merged by Dzahn:
contint: add postgresql to contint::packages::postgresql

https://gerrit.wikimedia.org/r/316228

Krinkle removed a subscriber: Krinkle.
Dzahn added a subscriber: Dzahn.Aug 26 2017, 4:15 AM

Does anyone know what should be done with this open Gerrit change? https://gerrit.wikimedia.org/r/#/c/316230/ It's been almost a year ago...

Change 316230 abandoned by Dzahn:
Add mw-teardown-postgresql for postgres

https://gerrit.wikimedia.org/r/316230

Dzahn removed a subscriber: Dzahn.Sep 27 2017, 2:02 AM

Change 316475 abandoned by Hashar:
Install postgresql on ci-image-jessie

Reason:
Nodepool is legacy. Maybe Postgre support will be added one day in the Docker container we are going to build to run MediaWiki tests.

https://gerrit.wikimedia.org/r/316475

Given issues we may be having (https://github.com/SemanticMediaWiki/SemanticMediaWiki/issues/3101) it would be great to have WMF CI running with postgres

Legoktm closed this task as Resolved.May 29 2018, 6:58 AM
Legoktm claimed this task.
Legoktm added a subscriber: Legoktm.

CI itself, via quibble, has full support for running MediaWiki tests on MySQL (MariaDB really), PostgreSQL, and SQLite.

It's now up to the MediaWiki maintainers (/me looks at a mirror) to get those tests passing so they can be made voting:

  • tracking sqlite failures: T191035
  • tracking postgres failures: T195807

Change 316232 abandoned by Paladox:
Update mw-install-postgresql to include the install script

https://gerrit.wikimedia.org/r/316232